# plaid_webview

A webview implementation of plaid. Plaid helps all companies build fintech solutions by making it easy, safe and reliable for people to connect their financial data to apps and services.

![plaid_webview](https://user-images.githubusercontent.com/53996412/104710944-00916d00-5721-11eb-9788-9788bda31249.gif)

## Usage

```dart
class PlaidWebviewExample extends StatelessWidget {
  
  showPlaidView() {
    bool plaidSandbox = false;
    
    Configuration configuration = Configuration(
        plaidPublicKey: 'yourPublicKey',
        plaidBaseUrl: 'https://cdn.plaid.com/link/v2/stable/link.html',
        plaidEnvironment: plaidSandbox ? 'sandbox' : 'production',
        environmentPlaidPathAccessToken:
            'https://sandbox.plaid.com/item/public_token/exchange',
        environmentPlaidPathStripeToken:
            'https://sandbox.plaid.com/processor/stripe/bank_account_token/create',
        plaidClientId: 'yourPlaidClientId',
        secret: plaidSandbox ? 'yourSecret' : '');

    PlaidWebview plaidWebview = PlaidWebview(configuration);
    plaidWebview.launch(context, (Result result) {
      ///handle result
    }, stripeToken: false);
  }

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}

```